// MainFrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#if !defined(AFX_MAINFRM_H__4BA5F157_F64D_11DD_A43B_525400EA266C__INCLUDED_)
#define AFX_MAINFRM_H__4BA5F157_F64D_11DD_A43B_525400EA266C__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "MyColorPaletteBar.h"
#include "MenuBar.h"

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:
	void LaunchURL(CString sURL);
// Operations
public:
	CFOMultiToolBoxBar m_FileBar;
	void DockControlBarLeftOf(CToolBar* Bar,CToolBar* LeftOf);
// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMainFrame)
	public:
	virtual BOOL PreCreateWindow(CREATESTRUCT& cs);
	virtual BOOL PreTranslateMessage(MSG* pMsg);
	//}}AFX_VIRTUAL
	CMyColorPaletteBar m_wndColorBar;
// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;

	CToolBar    m_wndDrawToolBar;
	CToolBar    m_wndFormatToolBar;

	CToolBar    m_wndAllignToolBar;
	CMenuBar	m_wndMenuBar;
	CToolBar    m_wndLinkToolBar;
// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg void OnViewDrawbar();
	afx_msg void OnUpdateViewDrawbar(CCmdUI* pCmdUI);
	afx_msg void OnViewFormatbar();
	afx_msg void OnUpdateViewFormatbar(CCmdUI* pCmdUI);
	afx_msg void OnViewPalettebar();
	afx_msg void OnUpdateViewPalettebar(CCmdUI* pCmdUI);
	afx_msg void OnHelpOntheweb();
	afx_msg void OnViewToolbox();
	afx_msg void OnUpdateViewToolbox(CCmdUI* pCmdUI);
	afx_msg void OnMailMe();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
//ECLARE_MENUXP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MAINFRM_H__4BA5F157_F64D_11DD_A43B_525400EA266C__INCLUDED_)
